import { BehaviorSubject } from "rxjs";
import { IRelated } from "../model/related-data.model";
import * as i0 from "@angular/core";
export declare class QMSRelatedGlobalService {
    searchRelated: BehaviorSubject<IRelated[]>;
    splitViewValue: BehaviorSubject<IRelated[]>;
    constructor();
    setSearchRelated(result: IRelated[]): void;
    setSplitviewValue(result: IRelated[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QMSRelatedGlobalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<QMSRelatedGlobalService>;
}
